<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    app:startDestination="@id/splashFragment">
    <fragment
        android:id="@+id/splashFragment"
        android:name="com.fastest.pass.splash.presentation.ui.SplashFragment"
        android:label="SplashFragment" />

    <fragment
        android:id="@+id/loginFragment"
        android:name="com.fastest.pass.login.presentation.ui.LoginFragment"
        android:label="LoginFragment" />

    <fragment
        android:id="@+id/signupFragment"
        android:name="com.fastest.pass.signup.presentation.ui.SignUpFragment"
        android:label="SignUpFragment" />

    <fragment
        android:id="@+id/welcomeFragment"
        android:name="com.fastest.pass.welcome.presentation.ui.fragment.WelcomeFragment"
        android:label="WelcomeFragment" />

    <fragment
        android:id="@+id/forgotPasswordFragment"
        android:name="com.fastest.pass.forgotpassword.presentation.ui.ForgotPasswordFragment"
        android:label="ForgotPasswordFragment" />

    <fragment
        android:id="@+id/masterLoginFragment"
        android:name="com.fastest.pass.masterlogin.presentation.ui.MasterLoginFragment"
        android:label="MasterLoginFragment" />

    <fragment
        android:id="@+id/masterSignupFragment"
        android:name="com.fastest.pass.mastersignup.presentation.ui.MasterSignUpFragment"
        android:label="MasterSignupFragment" />

    <fragment
        android:id="@+id/forgotPasswordVerifyFragment"
        android:name="com.fastest.pass.forgotpassword.presentation.ui.ForgotPasswordVerifyFragment"
        android:label="ForgotPasswordVerifyFragment" />
    <fragment
        android:id="@+id/homeFragment"
        android:name="com.fastest.pass.home.presentation.ui.fragment.BrowseFragment"
        android:label="HomeFragment" />

    <fragment
        android:id="@+id/forgotPasswordConfirmFragment"
        android:name="com.fastest.pass.forgotpassword.presentation.ui.ForgotPasswordConfirmFragment"
        android:label="ForgotPasswordConfirmFragment" />
    <fragment
        android:id="@+id/dashboardFragment"
        android:name="com.fastest.pass.dashboard.presentation.ui.fragment.DashboardFragment"
        android:label="DashboardFragment" />

    <fragment
        android:id="@+id/addNewItemsFragment"
        android:name="com.fastest.pass.home.presentation.ui.fragment.AddNewItemsFragment"
        android:label="AddNewItemsFragment" />

    <fragment
        android:id="@+id/newItemFormFragment"
        android:name="com.fastest.pass.home.presentation.ui.fragment.NewItemFormFragment"
        android:label="NewItemFormFragment" />

    <fragment
        android:id="@+id/newItemBrowseFragment"
        android:name="com.fastest.pass.browse.presentation.ui.fragment.NewItemBrowseFragment"
        android:label="NewItemBrowseFragment" />

</navigation>